; ====================================================;
;                                                     ;
;    gpedit.inc for EC v2 SolAsm classic projects     ;
;                   (version 1.0.1)                   ;
;                                                     ;
;            Copyright  Ramon Sala - 2022            ;
;                                                     ;
; ====================================================;

#ifndef GPEDIT_INC
GPEDIT_INC equ 1

#if COFF_FORMAT == 1
    from_lib gpedit.lib
#else
    from_dll gpedit.dll
#endif

struct GPOBROWSEINFO
    dwSize       dd    ?
    dwFlags      dd    ?
    hwndOwner    xword ?
    lpTitle      xword ?
    lpInitialOU  xword ?
    lpDSPath     xword ?
    dwDSPathSize dd    ?
    lpName       xword ?
    dwNameSize   dd    ?
    gpoType      xword ?
    gpoHint      xword ?
ends

import BrowseForGPO
import CreateGPOLink
import DeleteAllGPOLinks
import DeleteGPOLink
import ExportRSoPData
import ImportRSoPData

#endif ;GPEDIT_INC
